# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Summary: Skinned radio tuner
Name:    gqradio
Version: 1.9.2
Release: alt1_11
License: GPL+
URL:     http://gqmpeg.sourceforge.net
Group:   Sound
Source0: http://download.sourceforge.net/gqmpeg/gqradio-%{version}.tar.gz
Patch0:  gqradio-1.9.2-radiodev.patch
Patch1:  gqradio-1.9.2-ld.patch
Patch2:  gqradio-1.9.2-v4l2.patch
BuildRequires: desktop-file-utils gettext
BuildRequires: gtk2-devel >= 2.4
Source44: import.info

%description
Radio tuner with themes. 
Interfaces with video4linux compatible radio tuner cards.

%prep
%setup -q
%patch0 -p1 -b .radiodev
%patch1 -p1 -b .v4l2
%patch2 -p1 -b .ld

for i in ./SKIN-SPECS ; do
        iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
        mv "${i}_" "$i"
done

%build
%configure
%{__make} %{?_smp_mflags}

%install

%{__make} DESTDIR=%{buildroot} install

desktop-file-install \
           --delete-original \
           --vendor "" \
           --remove-key="Info" \
           --remove-key="Info[fr]" \
           --dir %{buildroot}%{_datadir}/applications \
           %{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog COPYING README TODO SKIN-SPECS
%{_bindir}/gqradio
%{_datadir}/gqradio
%{_datadir}/applications/gqradio.desktop
%{_datadir}/pixmaps/gqradio.png

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.9.2-alt1_11
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.9.2-alt1_10
- initial fc import

